Subject: Ticket Assigned - Feedback or suggestions
From: Splash <[email-masked]>
To: [email-masked]
Date: Thu, 05 Aug 2021 11:44:53 +0000

Hi Mayar nasser mahmoud,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Feedback or suggestions Hi there I bought a dress from Splash at MOE three months back worth aed 110. I wore it for twice and the material is so bad it has started to ripped off. I feel cheated as I paid so much money and got very bad material .What is the next step. How I get my money back https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2944329